/*!
 * KoliBri - The accessible HTML-Standard
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0});const index=require("./index-4ab6021a.js"),i18n=require("./i18n-3ee55c48.js"),hasCloser=require("./has-closer-af6872eb.js"),label=require("./label-1cc61689.js"),dev_utils=require("./dev.utils-2bbb6c65.js"),prop_validators=require("./prop.validators-3a58bf4a.js"),validation=require("./validation-e085f926.js"),ariaCurrent=require("./aria-current-770b99ea.js"),customClass=require("./custom-class-585d78b9.js"),hideLabel=require("./hide-label-1705d091.js"),icons=require("./icons-352d58f4.js"),tooltipAlign=require("./tooltip-align-3e2db733.js"),a11y_tipps=require("./a11y.tipps-a34337e8.js"),events=require("./events-e348a615.js"),reuse=require("./reuse-a4c8450e.js"),tabIndex=require("./tab-index-cd55999d.js"),controller=require("./controller-625ad750.js"),associated_controller=require("./associated.controller-b9b44963.js");require("./index-b9cef1a9.js"),require("./index-a60d6032.js"),require("./alignment-1718461e.js");const Icon=e=>index.h("kol-icon",{class:"heading-icon",_ariaLabel:"string"==typeof e.label&&e.label.length>0?"":e.ariaLabel,_icons:e.icon}),AlertIcon=e=>{switch(e.type){case"error":return index.h(Icon,{ariaLabel:i18n.translate("kol-error"),icon:"codicon codicon-error",label:e.label});case"info":return index.h(Icon,{ariaLabel:i18n.translate("kol-info"),icon:"codicon codicon-info",label:e.label});case"warning":return index.h(Icon,{ariaLabel:i18n.translate("kol-warning"),icon:"codicon codicon-warning",label:e.label});case"success":return index.h(Icon,{ariaLabel:i18n.translate("kol-success"),icon:"codicon codicon-pass",label:e.label});default:return index.h(Icon,{ariaLabel:i18n.translate("kol-message"),icon:"codicon codicon-comment",label:e.label})}},KolAlertWc=class{constructor(e){index.registerInstance(this,e),this.close=()=>{var e;void 0!==(null===(e=this._on)||void 0===e?void 0:e.onClose)&&this._on.onClose(new Event("Close"))},this.on={onClick:this.close},this.validateOnValue=e=>"object"==typeof e&&null!==e&&"function"==typeof e.onClose,this._alert=!1,this._hasCloser=!1,this._label=void 0,this._level=1,this._on=void 0,this._type="default",this._variant="msg",this.state={_level:1}}render(){var e;if(this.state._alert){try{dev_utils.Log.debug(["Navigator should vibrate ...",navigator.vibrate([100,75,100,75,100])])}catch(e){dev_utils.Log.debug("Navigator does not support vibration.")}setTimeout((()=>{this.validateAlert(!1)}),1e4)}return index.h(index.Host,{key:"a8c1c49a73dccecc52e1bb48ae90655d09d565e0",class:{[this.state._type]:!0,[this.state._variant]:!0,hasCloser:!!this.state._hasCloser},role:this.state._alert?"alert":void 0},index.h("div",{key:"d92efd87fd960c0ba7ce79b5fc1ceb433a4e11e8",class:"heading"},index.h(AlertIcon,{key:"8c9ad64898564e4dc796c9b5df091bfff74daa88",label:this.state._label,type:this.state._type}),index.h("div",{key:"d3052998c633241fc71779fad487eee4bafd0fce"},"string"==typeof this.state._label&&(null===(e=this.state._label)||void 0===e?void 0:e.length)>0&&index.h("kol-heading-wc",{_label:this.state._label,_level:this.state._level}),"msg"===this.state._variant&&index.h("div",{class:"content"},index.h("slot",null))),this.state._hasCloser&&index.h("kol-button-wc",{class:"close",_hideLabel:!0,_icons:{left:{icon:"codicon codicon-close"}},_label:i18n.translate("kol-close"),_on:this.on,_tooltipAlign:"left"})),"card"===this.state._variant&&index.h("div",{class:"content"},index.h("slot",null)))}validateAlert(e){prop_validators.watchBoolean(this,"_alert",e)}validateHasCloser(e){hasCloser.validateHasCloser(this,e)}validateLabel(e){label.validateLabel(this,e)}validateLevel(e){validation.watchHeadingLevel(this,e)}validateOn(e){this.validateOnValue(e)&&prop_validators.setState(this,"_on",{onClose:e.onClose})}validateType(e){prop_validators.watchValidator(this,"_type",(e=>"string"==typeof e&&("default"===e||"error"===e||"info"===e||"success"===e||"warning"===e)),new Set("String {success, info, warning, error}"),e)}validateVariant(e){prop_validators.watchValidator(this,"_variant",(e=>"card"===e||"msg"===e),new Set("AlertVariant {card, msg}"),e)}componentWillLoad(){this.validateAlert(this._alert),this.validateHasCloser(this._hasCloser),this.validateLabel(this._label),this.validateLevel(this._level),this.validateOn(this._on),this.validateType(this._type),this.validateVariant(this._variant)}static get watchers(){return{_alert:["validateAlert"],_hasCloser:["validateHasCloser"],_label:["validateLabel"],_level:["validateLevel"],_on:["validateOn"],_type:["validateType"],_variant:["validateVariant"]}}},validateAriaExpanded=(e,a)=>{prop_validators.watchBoolean(e,"_ariaExpanded",a)},validateButtonCallbacks=(e,a)=>{prop_validators.watchValidator(e,"_on",(e=>"object"==typeof e&&null!==e),new Set(["ButtonCallbacksPropType {Events.onClick, Events.onMouseDown}"]),a)},validateButtonType=(e,a)=>{prop_validators.watchValidator(e,"_type",(e=>"button"===e||"reset"===e||"submit"===e),new Set(["KoliBriButtonType {button, reset, submit}"]),a)},validateDisabled=(e,a)=>{prop_validators.watchBoolean(e,"_disabled",a)},KolButtonWc=class{render(){const e=reuse.showExpertSlot(this.state._label);return index.h(index.Host,{key:"5dff8da9a3b8734608f3c3f771e1a90339764d19"},index.h("button",Object.assign({key:"33bc190417912eb7e72895350f493fc6a7967891",ref:this.catchRef,accessKey:this.state._accessKey,"aria-controls":this.state._ariaControls,"aria-current":prop_validators.mapStringOrBoolean2String(this.state._ariaCurrent),"aria-expanded":prop_validators.mapBoolean2String(this.state._ariaExpanded),"aria-label":this.state._hideLabel&&"string"==typeof this.state._label?this.state._label:void 0,"aria-selected":prop_validators.mapStringOrBoolean2String(this.state._ariaSelected),class:{button:!0,[this.state._variant]:"custom"!==this.state._variant,[this.state._customClass]:"custom"===this.state._variant&&"string"==typeof this.state._customClass&&this.state._customClass.length>0,"icon-only":!0===this.state._hideLabel,"hide-label":!0===this.state._hideLabel},disabled:this.state._disabled,id:this.state._id,name:this.state._name},this.state._on,{onClick:this.onClick,role:this.state._role,tabIndex:this.state._tabIndex,type:this.state._type}),index.h("kol-span-wc",{key:"56f8c91f168dafb82a184b9e79abe9d9aecd99ce",class:"button-inner",_icons:this.state._icons,_hideLabel:this.state._hideLabel,_label:e?"":this.state._label},index.h("slot",{key:"303c0bfd4c0e6d97e14e91e2dbc9352af5e38680",name:"expert",slot:"expert"}))),index.h("kol-tooltip-wc",{key:"636ba536af349d6ffccb691f663e3aa1dc2ad3d2","aria-hidden":"true",hidden:e||!this.state._hideLabel,_align:this.state._tooltipAlign,_label:"string"==typeof this.state._label?this.state._label:""}))}constructor(e){index.registerInstance(this,e),this.catchRef=e=>{this.ref=e,reuse.propagateFocus(this.host,this.ref)},this.onClick=e=>{var a,t;"submit"===this.state._type?controller.propagateSubmitEventToForm({form:this.host,ref:this.ref}):"reset"===this.state._type?controller.propagateResetEventToForm({form:this.host,ref:this.ref}):(events.stopPropagation(e),events.tryToDispatchKoliBriEvent("click",this.host,this.state._value),this.controller.setFormAssociatedValue(this.state._value),"function"==typeof(null===(a=this.state._on)||void 0===a?void 0:a.onClick)&&(prop_validators.setEventTarget(e,this.ref),null===(t=this.state._on)||void 0===t||t.onClick(e,this.state._value)))},this._accessKey=void 0,this._ariaControls=void 0,this._ariaCurrent=void 0,this._ariaExpanded=void 0,this._ariaLabel=void 0,this._ariaSelected=void 0,this._customClass=void 0,this._disabled=!1,this._hideLabel=!1,this._icon=void 0,this._icons=void 0,this._iconAlign=void 0,this._iconOnly=void 0,this._id=void 0,this._label=void 0,this._name=void 0,this._on=void 0,this._role=void 0,this._syncValueBySelector=void 0,this._tabIndex=void 0,this._tooltipAlign="top",this._type="button",this._value=void 0,this._variant="normal",this.state={_icons:{},_label:"…",_on:{},_type:"button",_variant:"normal"},this.controller=new associated_controller.AssociatedInputController(this,"button",this.host)}validateAccessKey(e){prop_validators.watchString(this,"_accessKey",e)}validateAriaControls(e){ariaCurrent.validateAriaControls(this,e)}validateAriaCurrent(e){ariaCurrent.validateAriaCurrent(this,e)}validateAriaExpanded(e){validateAriaExpanded(this,e)}validateAriaLabel(e){this.validateLabel(e)}validateAriaSelected(e){prop_validators.watchBoolean(this,"_ariaSelected",e)}validateCustomClass(e){customClass.validateCustomClass(this,e)}validateDisabled(e){validateDisabled(this,e),!0===e&&a11y_tipps.a11yHintDisabled()}validateHideLabel(e){hideLabel.validateHideLabel(this,e)}validateIcon(e){icons.validateIcons(this,e)}validateIcons(e){icons.validateIcons(this,e)}validateIconAlign(e){icons.watchIconAlign(this,e)}validateIconOnly(e){this.validateHideLabel(e)}validateId(e){prop_validators.watchString(this,"_id",e)}validateLabel(e){label.validateLabelWithExpertSlot(this,e,{required:!0})}validateName(e){this.controller.validateName(e)}validateOn(e){validateButtonCallbacks(this,e)}validateRole(e){ariaCurrent.validateAlternativeButtonLinkRole(this,e)}validateSyncValueBySelector(e){this.controller.validateSyncValueBySelector(e)}validateTabIndex(e){tabIndex.validateTabIndex(this,e)}validateTooltipAlign(e){tooltipAlign.validateTooltipAlign(this,e)}validateType(e){validateButtonType(this,e)}validateValue(e){prop_validators.setState(this,"_value",e),this.controller.setFormAssociatedValue(this.state._value)}validateVariant(e){customClass.validateButtonVariant(this,e)}componentWillLoad(){var e;this.validateAccessKey(this._accessKey),this.validateAriaControls(this._ariaControls),this.validateAriaCurrent(this._ariaCurrent),this.validateAriaExpanded(this._ariaExpanded),this.validateAriaSelected(this._ariaSelected),this.validateCustomClass(this._customClass),this.validateDisabled(this._disabled),this.validateHideLabel(this._hideLabel||this._iconOnly),this.validateIcons(this._icons||this._icon),this.validateIconAlign(this._iconAlign),this.validateId(this._id),this.validateLabel(null!==(e=this._label)&&void 0!==e?e:this._ariaLabel),this.validateName(this._name),this.validateOn(this._on),this.validateRole(this._role),this.validateSyncValueBySelector(this._syncValueBySelector),this.validateTabIndex(this._tabIndex),this.validateTooltipAlign(this._tooltipAlign),this.validateType(this._type),this.validateValue(this._value),this.validateVariant(this._variant)}get host(){return index.getElement(this)}static get watchers(){return{_accessKey:["validateAccessKey"],_ariaControls:["validateAriaControls"],_ariaCurrent:["validateAriaCurrent"],_ariaExpanded:["validateAriaExpanded"],_ariaLabel:["validateAriaLabel"],_ariaSelected:["validateAriaSelected"],_customClass:["validateCustomClass"],_disabled:["validateDisabled"],_hideLabel:["validateHideLabel"],_icon:["validateIcon"],_icons:["validateIcons"],_iconAlign:["validateIconAlign"],_iconOnly:["validateIconOnly"],_id:["validateId"],_label:["validateLabel"],_name:["validateName"],_on:["validateOn"],_role:["validateRole"],_syncValueBySelector:["validateSyncValueBySelector"],_tabIndex:["validateTabIndex"],_tooltipAlign:["validateTooltipAlign"],_type:["validateType"],_value:["validateValue"],_variant:["validateVariant"]}}},KolHeadingWc=class{constructor(e){index.registerInstance(this,e),this.renderHeadline=(e,a)=>{switch(a){case 1:return index.h("h1",{class:"headline"},e,index.h("slot",null));case 2:return index.h("h2",{class:"headline"},e,index.h("slot",null));case 3:return index.h("h3",{class:"headline"},e,index.h("slot",null));case 4:return index.h("h4",{class:"headline"},e,index.h("slot",null));case 5:return index.h("h5",{class:"headline"},e,index.h("slot",null));case 6:return index.h("h6",{class:"headline"},e,index.h("slot",null));default:return index.h("strong",{class:"headline"},e,index.h("slot",null))}},this.renderSecondaryHeadline=(e,a)=>{switch(a){case 1:return index.h("span",{class:"secondary-headline"},e);case 2:return index.h("h2",{class:"secondary-headline"},e);case 3:return index.h("h3",{class:"secondary-headline"},e);case 4:return index.h("h4",{class:"secondary-headline"},e);case 5:return index.h("h5",{class:"secondary-headline"},e);case 6:return index.h("h6",{class:"secondary-headline"},e);default:return index.h("strong",{class:"secondary-headline"},e)}},this._label=void 0,this._level=1,this._secondaryHeadline=void 0,this.state={_label:"…",_level:1}}validateLabel(e){label.validateLabelWithExpertSlot(this,e,{defaultValue:"…"})}validateLevel(e){validation.watchHeadingLevel(this,e)}validateSecondaryHeadline(e){prop_validators.watchString(this,"_secondaryHeadline",e)}componentWillLoad(){this.validateLabel(this._label),this.validateLevel(this._level),this.validateSecondaryHeadline(this._secondaryHeadline)}render(){return index.h(index.Host,{key:"d8cad5ea1646a4865ae0022f84ce2929b043f9b0"},"string"==typeof this.state._secondaryHeadline&&this.state._secondaryHeadline.length>0?index.h("hgroup",null,this.renderHeadline(this.state._label,this.state._level),this.state._secondaryHeadline&&this.renderSecondaryHeadline(this.state._secondaryHeadline,this.state._level+1)):this.renderHeadline(this.state._label,this.state._level))}static get watchers(){return{_label:["validateLabel"],_level:["validateLevel"],_secondaryHeadline:["validateSecondaryHeadline"]}}};exports.kol_alert_wc=KolAlertWc,exports.kol_button_wc=KolButtonWc,exports.kol_heading_wc=KolHeadingWc;