/*!
 * KoliBri - The accessible HTML-Standard
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0});const index=require("./index-4ab6021a.js"),label=require("./label-1cc61689.js"),open=require("./open-e9d7f8e6.js"),events=require("./events-e348a615.js"),prop_validators=require("./prop.validators-3a58bf4a.js"),reuse=require("./reuse-a4c8450e.js");require("./a11y.tipps-a34337e8.js"),require("./dev.utils-2bbb6c65.js"),require("./index-a60d6032.js");class DetailsAnimationController{constructor(e,t,i){this.detailsElement=e,this.summaryElement=t,this.contentElement=i,this.isClosing=!1,this.isExpanding=!1,this.summaryElement.addEventListener("click",this.handleSummaryClick.bind(this))}handleSummaryClick(e){e.preventDefault(),this.isClosing||!this.detailsElement.open?this.open():(this.isExpanding||this.detailsElement.open)&&this.collapse()}open(){this.detailsElement.open=!0,window.requestAnimationFrame(this.expand.bind(this))}expand(){this.isExpanding=!0,this.animateContentHeight("expand")}collapse(){this.isClosing=!0,this.animateContentHeight("collapse")}animateContentHeight(e){let t="expand"===e?0:this.contentElement.offsetHeight,i="expand"===e?this.contentElement.offsetHeight:0;this.animation&&(t=this.contentElement.offsetHeight,this.animation.cancel(),"expand"===e&&(i=this.contentElement.offsetHeight)),this.animation=this.contentElement.animate({height:[`${t}px`,`${i}px`]},{duration:matchMedia("(prefers-reduced-motion)").matches?0:250,easing:"ease-out"}),this.animation.addEventListener("finish",(()=>{this.onAnimationFinish()}),{once:!0}),this.animation.addEventListener("cancel",(()=>{"expand"===e?this.isExpanding=!1:this.isClosing=!1}),{once:!0})}onAnimationFinish(){this.detailsElement.open=this.isExpanding,this.animation=void 0,this.isClosing=!1,this.isExpanding=!1}}const defaultStyleCss=":host{--a11y-min-size:44px;background-color:white;color:black;font-family:Verdana}*{hyphens:auto;letter-spacing:inherit;word-break:break-word;word-spacing:inherit}[role=button],button:not([role=link]),kol-input .input{min-height:var(--a11y-min-size);min-width:var(--a11y-min-size)}a,button,h1,h2,h3,h4,h5,h6,input,option,select,textarea{font-family:inherit;font-size:inherit}.visually-hidden{clip:rect(0 0 0 0);clip-path:inset(50%);height:1px;overflow:hidden;position:absolute;white-space:nowrap;width:1px}:is(a,button){background-color:transparent;border:none;margin:0;padding:0;width:100%;}[hidden]{display:none !important}:host{max-width:100%}*{box-sizing:border-box}kol-span-wc{display:grid;place-items:center}kol-span-wc>span{display:flex;place-items:center}a,button{cursor:pointer}.icon-only>kol-span-wc>span>span{display:none}.hidden{display:none;visibility:hidden}:host{display:block}details{display:grid}details>summary{cursor:pointer;display:flex;place-items:center}details>summary>span{border-bottom-color:grey;border-bottom-style:solid}details>summary:focus>span,details>summary:hover>span,details[open]>summary>span{border-bottom-color:#000}.content{overflow:hidden}details>kol-indented-text{margin:0.25em 0 0 0.5em}",KolDetailsDefaultStyle0=defaultStyleCss,KolDetails=class{constructor(e){index.registerInstance(this,e),this.catchRef=e=>{this.summaryElement=e,reuse.propagateFocus(this.host,this.summaryElement)},this.handleToggle=e=>{clearTimeout(this.toggleTimeout),this.toggleTimeout=setTimeout((()=>{var t,i,n,s;Boolean(null===(t=this.detailsElement)||void 0===t?void 0:t.open)!==this.state._open&&(this._open=Boolean(null===(i=this.detailsElement)||void 0===i?void 0:i.open),events.tryToDispatchKoliBriEvent("toggle",this.host,this._open),"function"==typeof(null===(n=this.state._on)||void 0===n?void 0:n.onToggle)&&(null===(s=this.state._on)||void 0===s||s.onToggle(e,this._open)))}),25)},this._label=void 0,this._on=void 0,this._open=!1,this._summary=void 0,this.state={_label:"…",_on:{}}}render(){return index.h(index.Host,{key:"3f715a42c4fc1fed6ae7c52f8b360323ef85bbf4"},index.h("details",{key:"7f016089c5e7429db0f89d7e6253ab9e2eb9e017",ref:e=>{this.detailsElement=e},onToggle:this.handleToggle},index.h("summary",{key:"cc9bd7eb27995d9966e44ada69fe80b7cc274ebc",ref:this.catchRef},this.state._open?index.h("kol-icon",{_label:"",_icons:"codicon codicon-chevron-down"}):index.h("kol-icon",{_label:"",_icons:"codicon codicon-chevron-right"}),index.h("span",{key:"3cba02aabc2deb843b0018fbdb46df81323479c0"},this.state._label)),index.h("div",{key:"7389a16803326f005a731ebee25d3dc6875fede4","aria-hidden":!1===this.state._open?"true":void 0,class:"content",ref:e=>this.contentElement=e},index.h("kol-indented-text",{key:"8aba3b7001e0e29dddcc2259d4a285a502ab4578"},index.h("slot",{key:"9c250e0d783c21683eb5601914512c8d2efa37c8"})))))}validateLabel(e){label.validateLabel(this,e,{required:!0})}validateOn(e){"object"==typeof e&&null!==e&&"function"==typeof e.onToggle&&prop_validators.setState(this,"_on",e)}validateOpen(e){open.validateOpen(this,e)}validateSummary(e){this.validateLabel(e)}componentWillLoad(){this.validateLabel(this._label||this._summary),this.validateOn(this._on),this.validateOpen(this._open)}componentDidLoad(){if(this.detailsElement&&this.summaryElement&&this.contentElement){const e=new DetailsAnimationController(this.detailsElement,this.summaryElement,this.contentElement);this.state._open&&e.open()}}get host(){return index.getElement(this)}static get watchers(){return{_label:["validateLabel"],_on:["validateOn"],_open:["validateOpen"],_summary:["validateSummary"]}}};KolDetails.style={default:KolDetailsDefaultStyle0},exports.kol_details=KolDetails;