/*!
 * KoliBri - The accessible HTML-Standard
 */
import{r as registerInstance,h,H as Host,g as getElement}from"./index-cf7b0813.js";import{a as translate}from"./i18n-3be2bb29.js";import{v as validateHasCloser}from"./has-closer-1e16b5fe.js";import{v as validateLabel,a as validateLabelWithExpertSlot}from"./label-61bbacc7.js";import{L as Log}from"./dev.utils-94066c64.js";import{a as watchBoolean,s as setState,w as watchValidator,l as mapStringOrBoolean2String,i as mapBoolean2String,f as setEventTarget,d as watchString}from"./prop.validators-8b0fa207.js";import{w as watchHeadingLevel}from"./validation-8bdc8c06.js";import{v as validateAriaControls,a as validateAriaCurrent,c as validateAlternativeButtonLinkRole}from"./aria-current-69568461.js";import{v as validateCustomClass,a as validateButtonVariant}from"./custom-class-93cf2d86.js";import{v as validateHideLabel}from"./hide-label-4daf9592.js";import{v as validateIcons,w as watchIconAlign}from"./icons-511942e6.js";import{v as validateTooltipAlign}from"./tooltip-align-957a98ca.js";import{g as a11yHintDisabled}from"./a11y.tipps-b91e3a85.js";import{s as stopPropagation,t as tryToDispatchKoliBriEvent}from"./events-fa760b68.js";import{s as showExpertSlot,a as propagateFocus}from"./reuse-d79ab469.js";import{v as validateTabIndex}from"./tab-index-d41a9f4c.js";import{p as propagateSubmitEventToForm,a as propagateResetEventToForm}from"./controller-1ec4718e.js";import{A as AssociatedInputController}from"./associated.controller-99862e5b.js";import"./index-52ef4125.js";import"./index-c88c7ecf.js";import"./alignment-a380366e.js";const Icon=a=>h("kol-icon",{class:"heading-icon",_ariaLabel:"string"==typeof a.label&&a.label.length>0?"":a.ariaLabel,_icons:a.icon}),AlertIcon=a=>{switch(a.type){case"error":return h(Icon,{ariaLabel:translate("kol-error"),icon:"codicon codicon-error",label:a.label});case"info":return h(Icon,{ariaLabel:translate("kol-info"),icon:"codicon codicon-info",label:a.label});case"warning":return h(Icon,{ariaLabel:translate("kol-warning"),icon:"codicon codicon-warning",label:a.label});case"success":return h(Icon,{ariaLabel:translate("kol-success"),icon:"codicon codicon-pass",label:a.label});default:return h(Icon,{ariaLabel:translate("kol-message"),icon:"codicon codicon-comment",label:a.label})}},KolAlertWc=class{constructor(a){registerInstance(this,a),this.close=()=>{var a;void 0!==(null===(a=this._on)||void 0===a?void 0:a.onClose)&&this._on.onClose(new Event("Close"))},this.on={onClick:this.close},this.validateOnValue=a=>"object"==typeof a&&null!==a&&"function"==typeof a.onClose,this._alert=!1,this._hasCloser=!1,this._label=void 0,this._level=1,this._on=void 0,this._type="default",this._variant="msg",this.state={_level:1}}render(){var a;if(this.state._alert){try{Log.debug(["Navigator should vibrate ...",navigator.vibrate([100,75,100,75,100])])}catch(a){Log.debug("Navigator does not support vibration.")}setTimeout((()=>{this.validateAlert(!1)}),1e4)}return h(Host,{key:"a8c1c49a73dccecc52e1bb48ae90655d09d565e0",class:{[this.state._type]:!0,[this.state._variant]:!0,hasCloser:!!this.state._hasCloser},role:this.state._alert?"alert":void 0},h("div",{key:"d92efd87fd960c0ba7ce79b5fc1ceb433a4e11e8",class:"heading"},h(AlertIcon,{key:"8c9ad64898564e4dc796c9b5df091bfff74daa88",label:this.state._label,type:this.state._type}),h("div",{key:"d3052998c633241fc71779fad487eee4bafd0fce"},"string"==typeof this.state._label&&(null===(a=this.state._label)||void 0===a?void 0:a.length)>0&&h("kol-heading-wc",{_label:this.state._label,_level:this.state._level}),"msg"===this.state._variant&&h("div",{class:"content"},h("slot",null))),this.state._hasCloser&&h("kol-button-wc",{class:"close",_hideLabel:!0,_icons:{left:{icon:"codicon codicon-close"}},_label:translate("kol-close"),_on:this.on,_tooltipAlign:"left"})),"card"===this.state._variant&&h("div",{class:"content"},h("slot",null)))}validateAlert(a){watchBoolean(this,"_alert",a)}validateHasCloser(a){validateHasCloser(this,a)}validateLabel(a){validateLabel(this,a)}validateLevel(a){watchHeadingLevel(this,a)}validateOn(a){this.validateOnValue(a)&&setState(this,"_on",{onClose:a.onClose})}validateType(a){watchValidator(this,"_type",(a=>"string"==typeof a&&("default"===a||"error"===a||"info"===a||"success"===a||"warning"===a)),new Set("String {success, info, warning, error}"),a)}validateVariant(a){watchValidator(this,"_variant",(a=>"card"===a||"msg"===a),new Set("AlertVariant {card, msg}"),a)}componentWillLoad(){this.validateAlert(this._alert),this.validateHasCloser(this._hasCloser),this.validateLabel(this._label),this.validateLevel(this._level),this.validateOn(this._on),this.validateType(this._type),this.validateVariant(this._variant)}static get watchers(){return{_alert:["validateAlert"],_hasCloser:["validateHasCloser"],_label:["validateLabel"],_level:["validateLevel"],_on:["validateOn"],_type:["validateType"],_variant:["validateVariant"]}}},validateAriaExpanded=(a,t)=>{watchBoolean(a,"_ariaExpanded",t)},validateButtonCallbacks=(a,t)=>{watchValidator(a,"_on",(a=>"object"==typeof a&&null!==a),new Set(["ButtonCallbacksPropType {Events.onClick, Events.onMouseDown}"]),t)},validateButtonType=(a,t)=>{watchValidator(a,"_type",(a=>"button"===a||"reset"===a||"submit"===a),new Set(["KoliBriButtonType {button, reset, submit}"]),t)},validateDisabled=(a,t)=>{watchBoolean(a,"_disabled",t)},KolButtonWc=class{render(){const a=showExpertSlot(this.state._label);return h(Host,{key:"5dff8da9a3b8734608f3c3f771e1a90339764d19"},h("button",Object.assign({key:"33bc190417912eb7e72895350f493fc6a7967891",ref:this.catchRef,accessKey:this.state._accessKey,"aria-controls":this.state._ariaControls,"aria-current":mapStringOrBoolean2String(this.state._ariaCurrent),"aria-expanded":mapBoolean2String(this.state._ariaExpanded),"aria-label":this.state._hideLabel&&"string"==typeof this.state._label?this.state._label:void 0,"aria-selected":mapStringOrBoolean2String(this.state._ariaSelected),class:{button:!0,[this.state._variant]:"custom"!==this.state._variant,[this.state._customClass]:"custom"===this.state._variant&&"string"==typeof this.state._customClass&&this.state._customClass.length>0,"icon-only":!0===this.state._hideLabel,"hide-label":!0===this.state._hideLabel},disabled:this.state._disabled,id:this.state._id,name:this.state._name},this.state._on,{onClick:this.onClick,role:this.state._role,tabIndex:this.state._tabIndex,type:this.state._type}),h("kol-span-wc",{key:"56f8c91f168dafb82a184b9e79abe9d9aecd99ce",class:"button-inner",_icons:this.state._icons,_hideLabel:this.state._hideLabel,_label:a?"":this.state._label},h("slot",{key:"303c0bfd4c0e6d97e14e91e2dbc9352af5e38680",name:"expert",slot:"expert"}))),h("kol-tooltip-wc",{key:"636ba536af349d6ffccb691f663e3aa1dc2ad3d2","aria-hidden":"true",hidden:a||!this.state._hideLabel,_align:this.state._tooltipAlign,_label:"string"==typeof this.state._label?this.state._label:""}))}constructor(a){registerInstance(this,a),this.catchRef=a=>{this.ref=a,propagateFocus(this.host,this.ref)},this.onClick=a=>{var t,e;"submit"===this.state._type?propagateSubmitEventToForm({form:this.host,ref:this.ref}):"reset"===this.state._type?propagateResetEventToForm({form:this.host,ref:this.ref}):(stopPropagation(a),tryToDispatchKoliBriEvent("click",this.host,this.state._value),this.controller.setFormAssociatedValue(this.state._value),"function"==typeof(null===(t=this.state._on)||void 0===t?void 0:t.onClick)&&(setEventTarget(a,this.ref),null===(e=this.state._on)||void 0===e||e.onClick(a,this.state._value)))},this._accessKey=void 0,this._ariaControls=void 0,this._ariaCurrent=void 0,this._ariaExpanded=void 0,this._ariaLabel=void 0,this._ariaSelected=void 0,this._customClass=void 0,this._disabled=!1,this._hideLabel=!1,this._icon=void 0,this._icons=void 0,this._iconAlign=void 0,this._iconOnly=void 0,this._id=void 0,this._label=void 0,this._name=void 0,this._on=void 0,this._role=void 0,this._syncValueBySelector=void 0,this._tabIndex=void 0,this._tooltipAlign="top",this._type="button",this._value=void 0,this._variant="normal",this.state={_icons:{},_label:"…",_on:{},_type:"button",_variant:"normal"},this.controller=new AssociatedInputController(this,"button",this.host)}validateAccessKey(a){watchString(this,"_accessKey",a)}validateAriaControls(a){validateAriaControls(this,a)}validateAriaCurrent(a){validateAriaCurrent(this,a)}validateAriaExpanded(a){validateAriaExpanded(this,a)}validateAriaLabel(a){this.validateLabel(a)}validateAriaSelected(a){watchBoolean(this,"_ariaSelected",a)}validateCustomClass(a){validateCustomClass(this,a)}validateDisabled(a){validateDisabled(this,a),!0===a&&a11yHintDisabled()}validateHideLabel(a){validateHideLabel(this,a)}validateIcon(a){validateIcons(this,a)}validateIcons(a){validateIcons(this,a)}validateIconAlign(a){watchIconAlign(this,a)}validateIconOnly(a){this.validateHideLabel(a)}validateId(a){watchString(this,"_id",a)}validateLabel(a){validateLabelWithExpertSlot(this,a,{required:!0})}validateName(a){this.controller.validateName(a)}validateOn(a){validateButtonCallbacks(this,a)}validateRole(a){validateAlternativeButtonLinkRole(this,a)}validateSyncValueBySelector(a){this.controller.validateSyncValueBySelector(a)}validateTabIndex(a){validateTabIndex(this,a)}validateTooltipAlign(a){validateTooltipAlign(this,a)}validateType(a){validateButtonType(this,a)}validateValue(a){setState(this,"_value",a),this.controller.setFormAssociatedValue(this.state._value)}validateVariant(a){validateButtonVariant(this,a)}componentWillLoad(){var a;this.validateAccessKey(this._accessKey),this.validateAriaControls(this._ariaControls),this.validateAriaCurrent(this._ariaCurrent),this.validateAriaExpanded(this._ariaExpanded),this.validateAriaSelected(this._ariaSelected),this.validateCustomClass(this._customClass),this.validateDisabled(this._disabled),this.validateHideLabel(this._hideLabel||this._iconOnly),this.validateIcons(this._icons||this._icon),this.validateIconAlign(this._iconAlign),this.validateId(this._id),this.validateLabel(null!==(a=this._label)&&void 0!==a?a:this._ariaLabel),this.validateName(this._name),this.validateOn(this._on),this.validateRole(this._role),this.validateSyncValueBySelector(this._syncValueBySelector),this.validateTabIndex(this._tabIndex),this.validateTooltipAlign(this._tooltipAlign),this.validateType(this._type),this.validateValue(this._value),this.validateVariant(this._variant)}get host(){return getElement(this)}static get watchers(){return{_accessKey:["validateAccessKey"],_ariaControls:["validateAriaControls"],_ariaCurrent:["validateAriaCurrent"],_ariaExpanded:["validateAriaExpanded"],_ariaLabel:["validateAriaLabel"],_ariaSelected:["validateAriaSelected"],_customClass:["validateCustomClass"],_disabled:["validateDisabled"],_hideLabel:["validateHideLabel"],_icon:["validateIcon"],_icons:["validateIcons"],_iconAlign:["validateIconAlign"],_iconOnly:["validateIconOnly"],_id:["validateId"],_label:["validateLabel"],_name:["validateName"],_on:["validateOn"],_role:["validateRole"],_syncValueBySelector:["validateSyncValueBySelector"],_tabIndex:["validateTabIndex"],_tooltipAlign:["validateTooltipAlign"],_type:["validateType"],_value:["validateValue"],_variant:["validateVariant"]}}},KolHeadingWc=class{constructor(a){registerInstance(this,a),this.renderHeadline=(a,t)=>{switch(t){case 1:return h("h1",{class:"headline"},a,h("slot",null));case 2:return h("h2",{class:"headline"},a,h("slot",null));case 3:return h("h3",{class:"headline"},a,h("slot",null));case 4:return h("h4",{class:"headline"},a,h("slot",null));case 5:return h("h5",{class:"headline"},a,h("slot",null));case 6:return h("h6",{class:"headline"},a,h("slot",null));default:return h("strong",{class:"headline"},a,h("slot",null))}},this.renderSecondaryHeadline=(a,t)=>{switch(t){case 1:return h("span",{class:"secondary-headline"},a);case 2:return h("h2",{class:"secondary-headline"},a);case 3:return h("h3",{class:"secondary-headline"},a);case 4:return h("h4",{class:"secondary-headline"},a);case 5:return h("h5",{class:"secondary-headline"},a);case 6:return h("h6",{class:"secondary-headline"},a);default:return h("strong",{class:"secondary-headline"},a)}},this._label=void 0,this._level=1,this._secondaryHeadline=void 0,this.state={_label:"…",_level:1}}validateLabel(a){validateLabelWithExpertSlot(this,a,{defaultValue:"…"})}validateLevel(a){watchHeadingLevel(this,a)}validateSecondaryHeadline(a){watchString(this,"_secondaryHeadline",a)}componentWillLoad(){this.validateLabel(this._label),this.validateLevel(this._level),this.validateSecondaryHeadline(this._secondaryHeadline)}render(){return h(Host,{key:"d8cad5ea1646a4865ae0022f84ce2929b043f9b0"},"string"==typeof this.state._secondaryHeadline&&this.state._secondaryHeadline.length>0?h("hgroup",null,this.renderHeadline(this.state._label,this.state._level),this.state._secondaryHeadline&&this.renderSecondaryHeadline(this.state._secondaryHeadline,this.state._level+1)):this.renderHeadline(this.state._label,this.state._level))}static get watchers(){return{_label:["validateLabel"],_level:["validateLevel"],_secondaryHeadline:["validateSecondaryHeadline"]}}};export{KolAlertWc as kol_alert_wc,KolButtonWc as kol_button_wc,KolHeadingWc as kol_heading_wc};